<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

session_start();
if($_SESSION['admin']!='')
{
	require_once('../jadro/base.php');
	require_once('../jadro/core.func.inc.php');
	require_once('../jadro/libs/xajax/xajax.inc.php');
	require_once('../jadro/addfunc.php');
	require_once('../jadro/functions.php');
	require_once('../jadro/categories.inc.php');
	require_once('../jadro/photo.inc.php');

	definevars("where id='REWRITE_ENABLED' or id='DEFAULT_ORDER_ALBUM' or id='DEFAULT_ORDER_PHOTO' or id='FAVORITE_PHOTOS'");

	global $xajax;
	$xajax = new xajax();
	$xajax->registerFunction('ajax_deletephoto');
	$xajax->registerFunction('ajax_deletealbum');
	$xajax->registerFunction('ajax_save_weight_numbers');

	function ajax_save_weight_numbers($t,$ar)
	{
		global $table,$db;
		
		$resp=New xajaxResponse();
		
		if($t=='photo')
			$tb=$table['items'];
		else
			$tb=$table['categories'];
			
			foreach($ar as $key => $value)
				$db->Execute("UPDATE $tb set weightnumber='". intval($value) . "' where id='". intval($key). "'");
						
		$resp->addRedirect('review.php?c=' . intval($_GET['c']) . '&page=' . intval($_GET['page']));
		return $resp;	
	}
	
	function ajax_deletephoto($id,$num,$val)
	{
		global $table;

		$id=intval($id);
		$num=intval($num);
		$resp=New xajaxResponse();

		$p=getrow($table['items'],'categoryid,approved',"where id='$id'");

		if($p['approved']=='yes')
		decnumphotos($p['categoryid']);

		deletephoto($id);

		$resp->addRemove('photo_'.$id);
		$resp->addAssign('numberphotos','innerHTML',($num-1));
		$resp->addAlert('Photo deleted!');
		return $resp;

	}

	function ajax_deletealbum($id)
	{
		global $table;
		$id=intval($id);
		$resp=New xajaxResponse();
		$parentid=getone($table['categories'],'parentcatid',"where id='$id'");
		deletecategory($id);
		$resp->addAlert('Album deleted!');
		$resp->addRedirect('review.php?c=' . $parentid . '&a=add');
		return $resp;
	}

	$xajax->processRequests();

	$smarty->compile_dir = DATAPATH.'/admincache';
	$smarty->template_dir='./tpl/';
	$smarty->assign('usr',$_SESSION['admin']);
	
	if($_GET['a']=='add')
	{
		writecatstocache();
	}
	
	$smarty->assign('xajax',$xajax);
	$smarty->assign('xajax_dir',SITE_ROOT . '/jadro/libs/xajax/');

	if(isset($_REQUEST['s']))
	$smarty->assign('review',htmlspecialchars_m($_GET['r']) . '&amp;s=' . urlencode($_REQUEST['s']));
	else
	$smarty->assign('review',htmlspecialchars_m($_GET['r']));

	
	$_GET['page']=intval($_GET['page']);
	
	if($_GET['page']==0 || $_GET['page']=='')
	$_GET['page']=1;

	$page=$_GET['page'];

	$smarty->assign('page',$page);

	if($_GET['perpage']=='')
	$_GET['perpage']=10;
	else
	$_GET['perpage']=intval($_GET['perpage']);

	if($_GET['perpage']>30)
	$_GET['perpage']=30;

	if($_GET['c']!='')
	$categoryid=intval($_GET['c']);
	else
	$categoryid=0;

	if($categoryid>0)
	{
		$ar=array();
		$ar=getrow($table['categories'], '*',"where id='$categoryid'");

		$smarty->assign('chid',$ar['chid']);
		$smarty->assign('uri',$ar['catpath']);
		$smarty->assign('categoryid',$categoryid);
		$smarty->assign('calbum',$ar);
		unset($ar);
	}
	$offset=($page-1)* $_GET['perpage'];

	$photos=array();
	$smarty->assign('title','Manage photos/albums');
		
	if($_GET['r']=='')
	{
		$order=DEFAULT_ORDER_PHOTO;
		
		if(FAVORITE_PHOTOS==0)
		$photos=getitems($table['items'],'*',"where categoryid='$categoryid'",$_GET['perpage'],$offset,'',1,'order by featured desc,'.$order);
		else
		$photos=getitems($table['items'],'*',"where featured='0' and categoryid='$categoryid'",$_GET['perpage'],$offset,$order,1);
		
		$smarty->assign('numphotos',$photos['numitems']);
		$smarty->assign('photos',$photos['items']);
		$smarty->assign('title','Manage photos/albums > ' . getone($table['categories'],'catname',"where id='{$categoryid}'"));
		unset($photos);
		if($page<2)
		{
			$smarty->assign('categories',getitems($table['categories'],'*',"where parentcatid='$categoryid'",'',-1,DEFAULT_ORDER_ALBUM));
			if(FAVORITE_PHOTOS==1)
			$smarty->assign('favphotos',getitems($table['items'],'*',"where featured='1' AND categoryid='$categoryid'",0,-1,$order));
		}
		
	}
	else
	{
		require_once('../jadro/search.php');
		$searchdata=searchdata(htmlspecialchars_m($_REQUEST['s']),$_GET['perpage'],$page);
		$smarty->assign('photos',$searchdata['items']);
		$smarty->assign('numphotos',$searchdata['numitems']);
		unset($searchdata);
		
		$_POST['s']=urlencode($_POST['s']);
		$_GET['s']=urlencode($_GET['s']);
	}
	
	$smarty->assign('photosperpage',$_GET['perpage']);
		
	if($_GET['r']=='search')
	$smarty->assign('title','Search the gallery');
	
	$smarty->assign('categs_per_row',3);
	$smarty->assign('photosperrow',3);
	$smarty->register_function('pages_admin','pages_admin');
	$smarty->register_function('nav_admin','nav_admin');
	
	$smarty->display('review.tpl');
}
else
	header('Location: index.php');
